Skip to navigation

List Accepted Payment Methods

Returns a list of accepted payment methods based on the order_id or checkout_id.

Notes

  • Use the Create an Order endpoint to generate the order_id.
  • Orders created will be set to incomplete order status.
  • The cart ID and checkout ID are the same.

Required Fields

  • order_id or checkout_id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

order_idintegerOptional
The ID of the subject order.
checkout_idstringOptional

The ID of the subject checkout; identical to the cart ID.

Response

A list of accepted payment methods.
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error